btrfstune(8)
============

NAME
----
btrfstune - tune various btrfs filesystem parameters

SYNOPSIS
--------
*btrfstune* [options] <dev> [<dev>...]

DESCRIPTION
-----------
*btrfstune* is used to tune various btrfs filesystem parameters,you can
enable/disable some extended features for btrfs.

OPTIONS
-------
-S <value>::
Updates the seeding value.
A positive value will enable seeding, zero will disable seeding, negtive is not allowed.
Enable seeding forces a fs readonly so that you can use it to build other filesystems.
-r::
Enable extended inode refs.
-x::
Enable skinny metadata extent refs.
-f::
Allow dangerous changes, e.g. clear the seeding flag. Make sure that you are
aware of the dangers.

When mounting the new device, btrfs will check whether the seeding flag is set
when try to open seeding device.  If the user clears the seeding flag of the
seeding device, the new device will not be mountable. Even setting the seeding
flag back will not fix this problem, because the generation will be changed at
that time. Clear the seeding flag may damage the new filesystem.

EXIT STATUS
-----------
*btrfstune* will return 0 if no error happened.
If any problems happened, 1 will be returned.

SEE ALSO
--------
`mkfs.btrfs`(8)
